com.aventstack.extentreports.model

## Class TestAttributeTestContext<T extends TestAttribute>

- java.lang.Object
- - com.aventstack.extentreports.model.TestAttributeTestContext<T>

- All Implemented Interfaces:
    Serializable

      public class TestAttributeTestContext<T extends TestAttribute>
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TestAttributeTestContext(T testAttribute)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `getAttribute()`
    `T` | `getContextKey()`
    `int` | `getFailed()`
    `String` | `getName()`
    `int` | `getOthers()`
    `int` | `getPassed()`
    `int` | `getSkipped()`
    `List<Test>` | `getTestList()`
    `boolean` | `isEmpty()`
    `void` | `refreshTestStatusCounts()`
    `void` | `setTest(Test test)`
    `int` | `size()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TestAttributeTestContext

          public TestAttributeTestContext(T testAttribute)

  - ### Method Detail

    - #### setTest

          public void setTest(Test test)

    - #### refreshTestStatusCounts

          public void refreshTestStatusCounts()

    - #### getContextKey

          public T getContextKey()

    - #### getTestList

          public List<Test> getTestList()

    - #### getName

          public String getName()

    - #### getPassed

          public int getPassed()

    - #### getFailed

          public int getFailed()

    - #### getSkipped

          public int getSkipped()

    - #### getOthers

          public int getOthers()

    - #### size

          public int size()

    - #### isEmpty

          public boolean isEmpty()

    - #### getAttribute

          public T getAttribute()

Copyright © 2018. All rights reserved.